packages:
  all:
    providers:
      mpi: [openmpi, intel-oneapi-mpi]
      jpeg: [libjpeg]
    require:
      - spec: ^intel-oneapi-mpi
        when: '%oneapi ^mpi'

      - spec: ^openmpi
        when: '%gcc ^mpi'

      - spec: ^openmpi
        when: '%aocc ^mpi'

      - spec: ^nvhpc+mpi
        when: '%nvhpc ^mpi'

      - spec: "+ipo"
        when: '%gcc'

  # System dependencies  # ----------------------------------------------------------------------------
  rdma-core:
    buildable: false
    externals:
    - spec: rdma-core@44.1
      prefix: /usr

  slurm:
    buildable: false
    externals:
    - spec: slurm@23-11-0-1
      prefix: /usr

  pmix:
    buildable: false
    externals:
    - spec: pmix@5.0.1
      prefix: /usr


  # ----------------------------------------------------------------------------
  # Requirements
  # ----------------------------------------------------------------------------
  cuda:
    require:
    - spec: '@12.4.0'

  hdf5:
    variants: +hl +threadsafe +szip +cxx +fortran

  libfabric:
    require:
    - spec: fabrics=mlx,mrail,psm3,verbs,udp,tcp,sockets,shm

  openmpi:
    require:
    - spec: fabrics=ofi,ucx,verbs schedulers=slurm
            ~rsh +romio romio-filesystem=gpfs
    - spec: ^ucx +cuda
      when: +cuda

  python:
    require:
    - spec: +optmimizations
      when: '%gcc'

  ucx:
    require:
    - spec: +rdmacm +rc +dc +ud +cma +verbs
    - spec: +gdrcopy
      when: +cuda


  # Core compiler packages -----------------------------------------------------
  autoconf:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  automake:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  autotools:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  cmake:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  diffutils:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  findutils:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  gmake:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  m4:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  ncurses:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  perl:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  readline:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'

  texinfo:
    require:
    - spec: '%gcc@11.4.1 arch=linux-rhel9-x86_64_v2'
